﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;
using Verse;

namespace RIMMSqol.genericSettings
{
    public class PatchOperation_QoLMarkPropertiesConfigurationStatus : PatchOperation_QoLProperties, IExposable
    {
        public string xpath;
        public List<string> properties;
        public bool configured = true;

        override protected bool ApplyWorker(XmlDocument xml)
        {
            List<string> propertyNames = new List<string>();
            foreach (XmlNode xmlNode in xml.SelectNodes(xpath))
            {
                MarkPropertiesConfiguredStatus(xmlNode, properties, configured);
            }
            return true;
        }

        public void ExposeData()
        {
            Scribe_Values.Look(ref xpath, "xpath");
            Scribe_Values.Look(ref configured, "configured");
            Scribe_Collections.Look(ref properties, "properties");
        }
    }
}
