﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;
using Verse;

namespace RIMMSqol.performance
{
    class PawnRendererCache : ThingComp
    {
        public bool isDirty_wornApparelCache = true;
        //public bool isAlienRace = false;
        public List<KeyValuePair<Material, WornGraphicData>> wornApparelCache = new List<KeyValuePair<Material, WornGraphicData>>();

        public PawnRendererCache()
        {

        }

        public override void PostDeSpawn(Map map)
        {
            base.PostDeSpawn(map);
            Clear();
        }

        public override void PostDestroy(DestroyMode mode, Map previousMap)
        {
            base.PostDestroy(mode, previousMap);
            Clear();
        }

        protected void Clear()
        {
            wornApparelCache.Clear();
            isDirty_wornApparelCache = true;
        }
    }
}
