﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 09.02.2019
 * Time: 15:38
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using Verse;

namespace RIMMSqol.remnantcolony.actions
{
	/// <summary>
	/// Description of QOLCityAction_ExchangeCitizens.
	/// </summary>
	public class QOLCityAction_ExchangeCitizens : QOLCityAction
	{
		public QOLCityAction_ExchangeCitizens() : base(null) {}
		
		public QOLCityAction_ExchangeCitizens(QOLCityActionDef def) : base(def) {}
		
		public override void OnClick(QOLCity city, Pawn negotiator) {
			if ( city != null ) {
				if ( negotiator != null ) {
					Find.WindowStack.Add(new QOLCityDialog_ExchangeCitizens(city,negotiator));
				} else {
					//possible when managing the city without a coms console or caravan.
				}
			} else {
				Log.Error("City was null in "+this.GetType().Name+" action!");
			}
		}
	}
	
	public class QOLCityActionConfiguration_ExchangeCitizens : QOLCityActionConfiguration
	{
		public override QOLCityAction CreateAction(QOLCityActionDef def) {
			return new QOLCityAction_ExchangeCitizens(def);
		}
	}
}
