﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.02.2019
 * Time: 17:56
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnfilters
{
	/// <summary>
	/// Description of QOLCityPawnFilter.
	/// </summary>
	abstract public class QOLCityPawnFilter {
		abstract public bool IsAllowed(QOLCity city, Pawn p);
		abstract protected TranslationRequest TranslationRequestDescription();
        public string Description() {
        	return TranslationCache.getFormattedTranslation(TranslationRequestDescription());
        }
	}
}
