﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.02.2019
 * Time: 18:01
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnfilters
{
	/// <summary>
	/// Description of QOLCityPawnFilter_AtLeastHumanlikeIntelligence.
	/// </summary>
	public class QOLCityPawnFilter_AtLeastHumanlikeIntelligence : QOLCityPawnFilter {
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		
		override public bool IsAllowed(QOLCity city, Pawn p) {
			return p != null && p.RaceProps != null && p.RaceProps.Humanlike;
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityPawnFilter_AtLeastHumanlikeIntelligence).Name);
			}
			return translationRequestDescription;
		}
	}
}
