﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 17.02.2021
 * Time: 06:12
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnvalues
{
	/// <summary>
	/// Description of QOLCityPawnValue.
	/// </summary>
	abstract public class QOLCityPawnValue
	{
		abstract public float Value(QOLCityState state, Pawn p);
		abstract protected TranslationRequest TranslationRequestDescription();
        public string Description() {
        	return TranslationCache.getFormattedTranslation(TranslationRequestDescription());
        }
	}
}
