﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 22.02.2021
 * Time: 12:27
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnvalues
{
	/// <summary>
	/// Description of QOLCityPawnValue_Property.
	/// </summary>
	public class QOLCityPawnValue_Property : QOLCityPawnValue {
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		public string key;
		public float baseValue = 1f;
		
		override public float Value(QOLCityState state, Pawn p) {
			return state.pawnProperties[p].getProp(state, key, baseValue);
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityPawnValue_HungerRate).Name);
			}
			return translationRequestDescription;
		}
	}
}
