﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 05.02.2019
 * Time: 05:10
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;

namespace RIMMSqol.remnantcolony.requirements
{
	/// <summary>
	/// A documented test to see if a city fulfills a specific requirement. 
	/// </summary>
	public abstract class QOLCityRequirement {
        abstract public bool IsValid(QOLCity city);
        abstract protected TranslationRequest TranslationRequestDescription();
        public string Description() {
        	return TranslationCache.getFormattedTranslation(TranslationRequestDescription());
        }
		public override string ToString() {
			return Description();
		}
	}
}
