﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 06.01.2019
 * Time: 06:52
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;

namespace RIMMSqol.remnantcolony.triggers
{
	/// <summary>
	/// Description of QOLCityTrigger.
	/// </summary>
	public interface QOLCityTrigger
	{
		void Trigger(object owner, QOLCity city);
		string Description();
	}
	
	public abstract class QOLCityTriggerImpl : QOLCityTrigger {
		abstract public void Trigger(object owner, QOLCity city);
		abstract protected TranslationRequest TranslationRequestDescription();
        public string Description() {
        	return TranslationCache.getFormattedTranslation(TranslationRequestDescription());
        }
	}
}
