﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 22.12.2018
 * Time: 17:07
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using UnityEngine;

namespace RIMMSqol.renderers
{
	/// <summary>
	/// Description of EmptyRenderer.
	/// </summary>
	public class EmptyRenderer : BaseRenderer
	{
		float width, height;
		public EmptyRenderer(float width = -1, float height = -1f)
		{
			this.width = width;
			this.height = height;
		}
		public override float getHeight() {
			if ( height < 0 )
				return 0;
			return height;
		}
		public override float getWidth() {
			if ( width < 0 )
				return 0;
			return width;
		}
		public override void DoComponentContents(Rect inRect, Flow flow) {}
	}
}
