﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 05.03.2019
 * Time: 23:22
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using UnityEngine;
using Verse;

namespace RIMMSqol.extensions
{
	/// <summary>
	/// Description of Extension_Listing_Standard.
	/// </summary>
	public static class Extension_Listing_Standard
	{
		public static bool ButtonImageText(this Listing_Standard ls, string label, Texture2D tex, float iconWidth, float iconHeight)
		{
			float maxHeight = Math.Max(30f,iconHeight);
			Rect rect = ls.GetRect(maxHeight);
			bool result = Widgets.ButtonImage(new Rect(rect.x, rect.y, iconWidth, iconHeight), tex);
			rect.x += iconWidth; rect.width -= iconWidth;
			result = result | Widgets.ButtonText(rect, label, true, false, true);
			ls.Gap(ls.verticalSpacing);
			return result;
		}
	}
}
