﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 26.10.2018
 * Time: 06:18
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using Verse;

namespace RIMMSqol.remnantcolony
{
	/// <summary>
	/// Description of NeedAndRequirement.
	/// </summary>
	public class ProvidedAndRequired : IExposable
	{
		public NumericAdjustment provided = new NumericAdjustment();
		public NumericAdjustment required = new NumericAdjustment();

		public virtual void ExposeData()
		{
			Scribe_Deep.Look<NumericAdjustment>(ref provided,"provided", new object[0]);
			Scribe_Deep.Look<NumericAdjustment>(ref required,"required", new object[0]);
		}
		
		public void Add(ProvidedAndRequired par) {
			if ( par == null ) return;
			provided.Add(par.provided);
			required.Add(par.required);
		}
		
		public void Remove(ProvidedAndRequired par) {
			if ( par == null ) return;
			provided.Remove(par.provided);
			required.Remove(par.required);
		}
	}
}
