﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 13.12.2018
 * Time: 19:15
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.remnantcolony.listeners;
using Verse;

namespace RIMMSqol.remnantcolony.actions
{
	/// <summary>
	/// Description of QOLCityAction.
	/// </summary>
	public abstract class QOLCityAction : IQOLCityListenerOwner, IExposable
	{
		public QOLCityActionDef def;
		public int instances = 1;
		
		protected QOLCityAction(QOLCityActionDef def) {
			this.def = def;
		}
		
		public virtual void ExposeData() {
			Scribe_Defs.Look<QOLCityActionDef>(ref this.def, "def");
			Scribe_Values.Look<int>(ref this.instances, "instances");
		}

		public System.Collections.Generic.List<QOLCityListenerDef> Listeners { get { return def.listeners; } }
		
		public abstract void OnClick(QOLCity city, Pawn negotiator);
	}
}
