﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 30.11.2018
 * Time: 04:16
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.remnantcolony.actions;
using RimWorld;
using Verse;

namespace RIMMSqol.remnantcolony.callbacks
{
	/// <summary>
	/// Description of QOLCityCallback_Trade.
	/// </summary>
	public class QOLCityCallback_Trade : QOLCityCallback
	{
		public void Callback(Def owner, QOLCity city, Pawn negotiator) {
			if ( city != null ) {
				if ( negotiator != null ) {
					Find.WindowStack.Add(new Dialog_TradeForFree(negotiator, city));
				} else {
					Log.Error("Negotiator was null in "+this.GetType().Name+" callback!");
				}
			} else {
				Log.Error("City was null in "+this.GetType().Name+" callback!");
			}
		}
	}
}
