﻿/*
 * Created by SharpDevelop.
 * User: Malte Schulze
 * Date: 15.02.2019
 * Time: 17:57
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using RIMMSqol.translations;
using Verse;

namespace RIMMSqol.remnantcolony.pawnfilters
{
	/// <summary>
	/// Description of QOLCityPawnFilter_Flesh.
	/// </summary>
	public class QOLCityPawnFilter_Flesh : QOLCityPawnFilter {
		[Unsaved]
		protected TranslationRequest translationRequestDescription = null;
		
		public override bool IsAllowed(QOLCity city, Pawn p) {
			return p.RaceProps.IsFlesh;
		}
		
		override protected TranslationRequest TranslationRequestDescription() {
			if ( translationRequestDescription == null ) {
				translationRequestDescription = new TranslationRequest(typeof(QOLCityPawnFilter_Flesh).Name);
			}
			return translationRequestDescription;
		}
	}
}
